diff options
Diffstat (limited to 'configure')
| -rwxr-xr-x | configure | 211 |
1 files changed, 169 insertions, 42 deletions
| @@ -701,6 +701,7 @@ RANLIB | |||
| 701 | INSTALL_INFO | 701 | INSTALL_INFO |
| 702 | GZIP_PROG | 702 | GZIP_PROG |
| 703 | MAKEINFO | 703 | MAKEINFO |
| 704 | cannot_dump | ||
| 704 | LD_SWITCH_SYSTEM | 705 | LD_SWITCH_SYSTEM |
| 705 | C_SWITCH_MACHINE | 706 | C_SWITCH_MACHINE |
| 706 | C_SWITCH_SYSTEM | 707 | C_SWITCH_SYSTEM |
| @@ -714,6 +715,8 @@ ALSA_CFLAGS | |||
| 714 | ALSA_LIBS | 715 | ALSA_LIBS |
| 715 | CFLAGS_SOUND | 716 | CFLAGS_SOUND |
| 716 | SET_MAKE | 717 | SET_MAKE |
| 718 | MKDEPDIR | ||
| 719 | DEPFLAGS | ||
| 717 | XMKMF | 720 | XMKMF |
| 718 | LD_SWITCH_X_SITE_AUX | 721 | LD_SWITCH_X_SITE_AUX |
| 719 | LD_SWITCH_X_SITE_AUX_RPATH | 722 | LD_SWITCH_X_SITE_AUX_RPATH |
| @@ -818,12 +821,15 @@ PRE_ALLOC_OBJ | |||
| 818 | POST_ALLOC_OBJ | 821 | POST_ALLOC_OBJ |
| 819 | LD_SWITCH_SYSTEM_TEMACS | 822 | LD_SWITCH_SYSTEM_TEMACS |
| 820 | LD_SWITCH_SYSTEM_EXTRA | 823 | LD_SWITCH_SYSTEM_EXTRA |
| 824 | YMF_PASS_LDFLAGS | ||
| 825 | LINKER | ||
| 821 | LIB_GCC | 826 | LIB_GCC |
| 822 | MOUSE_SUPPORT | 827 | MOUSE_SUPPORT |
| 823 | TOOLTIP_SUPPORT | 828 | TOOLTIP_SUPPORT |
| 824 | WINDOW_SUPPORT | 829 | WINDOW_SUPPORT |
| 825 | LTLIBOBJS' | 830 | LTLIBOBJS' |
| 826 | ac_subst_files='' | 831 | ac_subst_files='deps_frag |
| 832 | ns_frag' | ||
| 827 | ac_user_opts=' | 833 | ac_user_opts=' |
| 828 | enable_option_checking | 834 | enable_option_checking |
| 829 | with_pop | 835 | with_pop |
| @@ -854,8 +860,6 @@ with_dbus | |||
| 854 | with_gconf | 860 | with_gconf |
| 855 | with_selinux | 861 | with_selinux |
| 856 | with_makeinfo | 862 | with_makeinfo |
| 857 | with_gtk | ||
| 858 | with_gcc | ||
| 859 | with_pkg_config_prog | 863 | with_pkg_config_prog |
| 860 | with_crt_dir | 864 | with_crt_dir |
| 861 | with_gnustep_conf | 865 | with_gnustep_conf |
| @@ -1569,7 +1573,6 @@ Optional Packages: | |||
| 1569 | --without-gconf don't compile with GConf support | 1573 | --without-gconf don't compile with GConf support |
| 1570 | --without-selinux don't compile with SELinux support | 1574 | --without-selinux don't compile with SELinux support |
| 1571 | --without-makeinfo don't require makeinfo for building manuals | 1575 | --without-makeinfo don't require makeinfo for building manuals |
| 1572 | |||
| 1573 | --with-pkg-config-prog=PATH | 1576 | --with-pkg-config-prog=PATH |
| 1574 | path to pkg-config for finding GTK and librsvg | 1577 | path to pkg-config for finding GTK and librsvg |
| 1575 | --with-crt-dir=DIR directory containing crtn.o etc. The default is | 1578 | --with-crt-dir=DIR directory containing crtn.o etc. The default is |
| @@ -2382,28 +2385,6 @@ fi | |||
| 2382 | 2385 | ||
| 2383 | 2386 | ||
| 2384 | 2387 | ||
| 2385 | # Check whether --with-gtk was given. | ||
| 2386 | if test "${with_gtk+set}" = set; then | ||
| 2387 | withval=$with_gtk; { { $as_echo "$as_me:$LINENO: error: --with-gtk has been removed. Use --with-x-toolkit to | ||
| 2388 | specify a toolkit." >&5 | ||
| 2389 | $as_echo "$as_me: error: --with-gtk has been removed. Use --with-x-toolkit to | ||
| 2390 | specify a toolkit." >&2;} | ||
| 2391 | { (exit 1); exit 1; }; } | ||
| 2392 | fi | ||
| 2393 | |||
| 2394 | |||
| 2395 | |||
| 2396 | # Check whether --with-gcc was given. | ||
| 2397 | if test "${with_gcc+set}" = set; then | ||
| 2398 | withval=$with_gcc; { { $as_echo "$as_me:$LINENO: error: --with-gcc has been removed. Set the \`CC' environment | ||
| 2399 | variable to specify a compiler." >&5 | ||
| 2400 | $as_echo "$as_me: error: --with-gcc has been removed. Set the \`CC' environment | ||
| 2401 | variable to specify a compiler." >&2;} | ||
| 2402 | { (exit 1); exit 1; }; } | ||
| 2403 | fi | ||
| 2404 | |||
| 2405 | |||
| 2406 | |||
| 2407 | # Check whether --with-pkg-config-prog was given. | 2388 | # Check whether --with-pkg-config-prog was given. |
| 2408 | if test "${with_pkg_config_prog+set}" = set; then | 2389 | if test "${with_pkg_config_prog+set}" = set; then |
| 2409 | withval=$with_pkg_config_prog; | 2390 | withval=$with_pkg_config_prog; |
| @@ -5851,6 +5832,12 @@ configure___ LIBX=-lX11 | |||
| 5851 | 5832 | ||
| 5852 | configure___ unexec=UNEXEC | 5833 | configure___ unexec=UNEXEC |
| 5853 | 5834 | ||
| 5835 | #ifdef CANNOT_DUMP | ||
| 5836 | configure___ cannot_dump=yes | ||
| 5837 | #else | ||
| 5838 | configure___ cannot_dump=no | ||
| 5839 | #endif | ||
| 5840 | |||
| 5854 | #ifdef SYSTEM_MALLOC | 5841 | #ifdef SYSTEM_MALLOC |
| 5855 | configure___ system_malloc=yes | 5842 | configure___ system_malloc=yes |
| 5856 | #else | 5843 | #else |
| @@ -5912,6 +5899,9 @@ fi | |||
| 5912 | rm ${tempcname} | 5899 | rm ${tempcname} |
| 5913 | 5900 | ||
| 5914 | 5901 | ||
| 5902 | |||
| 5903 | |||
| 5904 | |||
| 5915 | LD_SWITCH_SYSTEM= | 5905 | LD_SWITCH_SYSTEM= |
| 5916 | case "$opsys" in | 5906 | case "$opsys" in |
| 5917 | freebsd) | 5907 | freebsd) |
| @@ -9501,6 +9491,9 @@ $as_echo "no" >&6; } | |||
| 9501 | fi | 9491 | fi |
| 9502 | 9492 | ||
| 9503 | 9493 | ||
| 9494 | DEPFLAGS= | ||
| 9495 | MKDEPDIR=":" | ||
| 9496 | deps_frag=deps.mk | ||
| 9504 | if test "$GCC" = yes && test "$ac_enable_autodepend" = yes; then | 9497 | if test "$GCC" = yes && test "$ac_enable_autodepend" = yes; then |
| 9505 | { $as_echo "$as_me:$LINENO: checking whether we are using GNU Make" >&5 | 9498 | { $as_echo "$as_me:$LINENO: checking whether we are using GNU Make" >&5 |
| 9506 | $as_echo_n "checking whether we are using GNU Make... " >&6; } | 9499 | $as_echo_n "checking whether we are using GNU Make... " >&6; } |
| @@ -9567,13 +9560,19 @@ rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext | |||
| 9567 | $as_echo "$ac_enable_autodepend" >&6; } | 9560 | $as_echo "$ac_enable_autodepend" >&6; } |
| 9568 | fi | 9561 | fi |
| 9569 | if test $ac_enable_autodepend = yes; then | 9562 | if test $ac_enable_autodepend = yes; then |
| 9570 | 9563 | DEPFLAGS='-MMD -MF ${DEPDIR}/$*.d' | |
| 9571 | cat >>confdefs.h <<\_ACEOF | 9564 | ## In parallel builds, another make might create depdir between |
| 9572 | #define AUTO_DEPEND 1 | 9565 | ## the first test and mkdir, so stick another test on the end. |
| 9573 | _ACEOF | 9566 | ## Or use mkinstalldirs? mkdir -p is not portable. |
| 9574 | 9567 | MKDEPDIR='test -d ${DEPDIR} || mkdir ${DEPDIR} || test -d ${DEPDIR}' | |
| 9568 | deps_frag=autodeps.mk | ||
| 9575 | fi | 9569 | fi |
| 9576 | fi | 9570 | fi |
| 9571 | deps_frag=$srcdir/src/$deps_frag | ||
| 9572 | |||
| 9573 | |||
| 9574 | |||
| 9575 | |||
| 9577 | 9576 | ||
| 9578 | { $as_echo "$as_me:$LINENO: checking for long file names" >&5 | 9577 | { $as_echo "$as_me:$LINENO: checking for long file names" >&5 |
| 9579 | $as_echo_n "checking for long file names... " >&6; } | 9578 | $as_echo_n "checking for long file names... " >&6; } |
| @@ -9960,6 +9959,7 @@ if test "${with_ns}" != no; then | |||
| 9960 | GNUSTEP_SYSTEM_HEADERS="$(. $GNUSTEP_CONFIG_FILE; echo $GNUSTEP_SYSTEM_HEADERS)" | 9959 | GNUSTEP_SYSTEM_HEADERS="$(. $GNUSTEP_CONFIG_FILE; echo $GNUSTEP_SYSTEM_HEADERS)" |
| 9961 | GNUSTEP_SYSTEM_LIBRARIES="$(. $GNUSTEP_CONFIG_FILE; echo $GNUSTEP_SYSTEM_LIBRARIES)" | 9960 | GNUSTEP_SYSTEM_LIBRARIES="$(. $GNUSTEP_CONFIG_FILE; echo $GNUSTEP_SYSTEM_LIBRARIES)" |
| 9962 | ## Pull in stuff from GNUstep-make. | 9961 | ## Pull in stuff from GNUstep-make. |
| 9962 | ## FIXME? Cleaner to use AC_SUBST_FILE for this? | ||
| 9963 | NS_IMPL_GNUSTEP_INC="FOUNDATION_LIB=gnu | 9963 | NS_IMPL_GNUSTEP_INC="FOUNDATION_LIB=gnu |
| 9964 | GUI_LIB=gnu | 9964 | GUI_LIB=gnu |
| 9965 | include $GNUSTEP_MAKEFILES/Additional/base.make | 9965 | include $GNUSTEP_MAKEFILES/Additional/base.make |
| @@ -10164,6 +10164,7 @@ fi | |||
| 10164 | 10164 | ||
| 10165 | 10165 | ||
| 10166 | 10166 | ||
| 10167 | ns_frag=/dev/null | ||
| 10167 | NS_OBJ= | 10168 | NS_OBJ= |
| 10168 | NS_SUPPORT= | 10169 | NS_SUPPORT= |
| 10169 | if test "${HAVE_NS}" = yes; then | 10170 | if test "${HAVE_NS}" = yes; then |
| @@ -10175,6 +10176,7 @@ if test "${HAVE_NS}" = yes; then | |||
| 10175 | if test "${EN_NS_SELF_CONTAINED}" = yes; then | 10176 | if test "${EN_NS_SELF_CONTAINED}" = yes; then |
| 10176 | prefix=${ns_appresdir} | 10177 | prefix=${ns_appresdir} |
| 10177 | fi | 10178 | fi |
| 10179 | ns_frag=$srcdir/src/ns.mk | ||
| 10178 | NS_OBJ="nsterm.o nsfns.o nsmenu.o nsselect.o nsimage.o nsfont.o fontset.o fringe.o image.o" | 10180 | NS_OBJ="nsterm.o nsfns.o nsmenu.o nsselect.o nsimage.o nsfont.o fontset.o fringe.o image.o" |
| 10179 | NS_SUPPORT="\${lispsource}emacs-lisp/easymenu.elc \${lispsource}term/ns-win.elc" | 10181 | NS_SUPPORT="\${lispsource}emacs-lisp/easymenu.elc \${lispsource}term/ns-win.elc" |
| 10180 | fi | 10182 | fi |
| @@ -10184,6 +10186,7 @@ CPPFLAGS="$tmp_CPPFLAGS" | |||
| 10184 | 10186 | ||
| 10185 | 10187 | ||
| 10186 | 10188 | ||
| 10189 | |||
| 10187 | case "${window_system}" in | 10190 | case "${window_system}" in |
| 10188 | x11 ) | 10191 | x11 ) |
| 10189 | HAVE_X_WINDOWS=yes | 10192 | HAVE_X_WINDOWS=yes |
| @@ -21622,7 +21625,7 @@ HAVE_LIBNCURSES=yes | |||
| 21622 | 21625 | ||
| 21623 | ## Use terminfo instead of termcap? | 21626 | ## Use terminfo instead of termcap? |
| 21624 | ## Note only system files NOT using terminfo are: | 21627 | ## Note only system files NOT using terminfo are: |
| 21625 | ## freebsd < 40000, ms-w32, msdos, netbsd, and | 21628 | ## freebsd < 40000, ms-w32, msdos, netbsd < 599002500, and |
| 21626 | ## darwin|gnu without ncurses. | 21629 | ## darwin|gnu without ncurses. |
| 21627 | TERMINFO=no | 21630 | TERMINFO=no |
| 21628 | LIBS_TERMCAP= | 21631 | LIBS_TERMCAP= |
| @@ -21715,13 +21718,22 @@ $as_echo "$emacs_cv_freebsd_terminfo" >&6; } | |||
| 21715 | fi | 21718 | fi |
| 21716 | ;; | 21719 | ;; |
| 21717 | 21720 | ||
| 21721 | netbsd) | ||
| 21722 | if test $ac_cv_search_tputs = -lterminfo; then | ||
| 21723 | TERMINFO=yes | ||
| 21724 | LIBS_TERMCAP="-lterminfo" | ||
| 21725 | else | ||
| 21726 | LIBS_TERMCAP="-ltermcap" | ||
| 21727 | fi | ||
| 21728 | ;; | ||
| 21729 | |||
| 21718 | esac | 21730 | esac |
| 21719 | 21731 | ||
| 21720 | case "$opsys" in | 21732 | case "$opsys" in |
| 21721 | ## hpux: Make sure we get select from libc rather than from libcurses | 21733 | ## hpux: Make sure we get select from libc rather than from libcurses |
| 21722 | ## because libcurses on HPUX 10.10 has a broken version of select. | 21734 | ## because libcurses on HPUX 10.10 has a broken version of select. |
| 21723 | ## We used to use -lc -lcurses, but this may be cleaner. | 21735 | ## We used to use -lc -lcurses, but this may be cleaner. |
| 21724 | hpux*|netbsd) LIBS_TERMCAP="-ltermcap" ;; | 21736 | hpux*) LIBS_TERMCAP="-ltermcap" ;; |
| 21725 | 21737 | ||
| 21726 | openbsd) LIBS_TERMCAP="-lncurses" ;; | 21738 | openbsd) LIBS_TERMCAP="-lncurses" ;; |
| 21727 | 21739 | ||
| @@ -26491,7 +26503,6 @@ else | |||
| 26491 | fi | 26503 | fi |
| 26492 | 26504 | ||
| 26493 | 26505 | ||
| 26494 | |||
| 26495 | ## The X Menu stuff is present in the X10 distribution, but missing | 26506 | ## The X Menu stuff is present in the X10 distribution, but missing |
| 26496 | ## from X11. If we have X10, just use the installed library; | 26507 | ## from X11. If we have X10, just use the installed library; |
| 26497 | ## otherwise, use our own copy. | 26508 | ## otherwise, use our own copy. |
| @@ -26511,7 +26522,9 @@ _ACEOF | |||
| 26511 | LIBX_OTHER="\$(LIBXT) \$(LIBX_EXTRA)" | 26522 | LIBX_OTHER="\$(LIBXT) \$(LIBX_EXTRA)" |
| 26512 | OLDXMENU_DEPS="\${OLDXMENU} ../src/\${OLDXMENU}" | 26523 | OLDXMENU_DEPS="\${OLDXMENU} ../src/\${OLDXMENU}" |
| 26513 | else | 26524 | else |
| 26514 | OLDXMENU= | 26525 | ## For a syntactically valid Makefile; not actually used for anything. |
| 26526 | ## See comments in src/Makefile.in. | ||
| 26527 | OLDXMENU=nothing | ||
| 26515 | ## FIXME This case (!HAVE_X11 && HAVE_X_WINDOWS) is no longer possible(?). | 26528 | ## FIXME This case (!HAVE_X11 && HAVE_X_WINDOWS) is no longer possible(?). |
| 26516 | if test "${HAVE_X_WINDOWS}" = "yes"; then | 26529 | if test "${HAVE_X_WINDOWS}" = "yes"; then |
| 26517 | LIBXMENU="-lXMenu" | 26530 | LIBXMENU="-lXMenu" |
| @@ -26523,7 +26536,8 @@ else | |||
| 26523 | fi | 26536 | fi |
| 26524 | 26537 | ||
| 26525 | if test "$HAVE_GTK" = "yes" || test "$HAVE_MENUS" != "yes"; then | 26538 | if test "$HAVE_GTK" = "yes" || test "$HAVE_MENUS" != "yes"; then |
| 26526 | OLDXMENU= | 26539 | OLDXMENU_TARGET= |
| 26540 | OLDXMENU=nothing | ||
| 26527 | LIBXMENU= | 26541 | LIBXMENU= |
| 26528 | OLDXMENU_DEPS= | 26542 | OLDXMENU_DEPS= |
| 26529 | fi | 26543 | fi |
| @@ -26533,6 +26547,7 @@ fi | |||
| 26533 | 26547 | ||
| 26534 | 26548 | ||
| 26535 | 26549 | ||
| 26550 | |||
| 26536 | if test "${HAVE_MENUS}" = "yes" ; then | 26551 | if test "${HAVE_MENUS}" = "yes" ; then |
| 26537 | 26552 | ||
| 26538 | cat >>confdefs.h <<\_ACEOF | 26553 | cat >>confdefs.h <<\_ACEOF |
| @@ -26616,8 +26631,79 @@ fi | |||
| 26616 | 26631 | ||
| 26617 | 26632 | ||
| 26618 | 26633 | ||
| 26634 | LINKER= | ||
| 26635 | ORDINARY_LINK= | ||
| 26636 | case "$opsys" in | ||
| 26637 | ## gnu: GNU needs its own crt0. | ||
| 26638 | aix4-2|darwin|gnu|usg5-4|irix6-5|sol2*|unixware) ORDINARY_LINK=yes ;; | ||
| 26639 | |||
| 26640 | cygwin) LINKER="\$(CC)" ;; | ||
| 26641 | |||
| 26642 | ## On post 1.3 releases of NetBSD, gcc -nostdlib also clears the | ||
| 26643 | ## library search parth, i.e. it won't search /usr/lib for libc and | ||
| 26644 | ## friends. Using -nostartfiles instead avoids this problem, and | ||
| 26645 | ## will also work on earlier NetBSD releases. | ||
| 26646 | netbsd|openbsd) LINKER="\$(CC) -nostartfiles" ;; | ||
| 26647 | |||
| 26648 | ## macpcc: NAKAJI Hiroyuki <nakaji@tutrp.tut.ac.jp> says | ||
| 26649 | ## MkLinux/LinuxPPC needs this. | ||
| 26650 | ## ibms390x only supports opsys = gnu-linux so it can be added here. | ||
| 26651 | gnu-*) | ||
| 26652 | case "$machine" in | ||
| 26653 | macppc|ibms390x) LINKER="\$(CC) -nostdlib" ;; | ||
| 26654 | esac | ||
| 26655 | ;; | ||
| 26656 | esac | ||
| 26657 | |||
| 26658 | ## A macro which other sections of Makefile can redefine to munge the | ||
| 26659 | ## flags before they are passed to LD. This is helpful if you have | ||
| 26660 | ## redefined LD to something odd, like "gcc". | ||
| 26661 | ## (The YMF prefix is a holdover from the old name "ymakefile".) | ||
| 26662 | YMF_PASS_LDFLAGS=flags | ||
| 26663 | if test "x$ORDINARY_LINK" = "xyes"; then | ||
| 26664 | |||
| 26665 | LINKER="\$(CC)" | ||
| 26666 | |||
| 26667 | cat >>confdefs.h <<\_ACEOF | ||
| 26668 | #define ORDINARY_LINK 1 | ||
| 26669 | _ACEOF | ||
| 26670 | |||
| 26671 | |||
| 26672 | ## The system files defining neither ORDINARY_LINK nor LINKER are: | ||
| 26673 | ## (bsd-common), freebsd, gnu-* not on macppc|ibms390x, hpux*. | ||
| 26674 | elif test "x$GCC" = "xyes" && test "x$LINKER" = "x"; then | ||
| 26675 | |||
| 26676 | ## Versions of GCC >= 2.0 put their library, libgcc.a, in obscure | ||
| 26677 | ## places that are difficult to figure out at make time. Fortunately, | ||
| 26678 | ## these same versions allow you to pass arbitrary flags on to the | ||
| 26679 | ## linker, so there is no reason not to use it as a linker. | ||
| 26680 | ## | ||
| 26681 | ## Well, it is not quite perfect. The "-nostdlib" keeps GCC from | ||
| 26682 | ## searching for libraries in its internal directories, so we have to | ||
| 26683 | ## ask GCC explicitly where to find libgcc.a (LIB_GCC below). | ||
| 26684 | LINKER="\$(CC) -nostdlib" | ||
| 26685 | ## GCC passes any argument prefixed with -Xlinker directly to the linker. | ||
| 26686 | ## See prefix-args.c for an explanation of why we do not do this with the | ||
| 26687 | ## shell''s ``for'' construct. Note that sane people do not have '.' in | ||
| 26688 | ## their paths, so we must use ./prefix-args. | ||
| 26689 | ## TODO either make prefix-args check ORDINARY_LINK internally, | ||
| 26690 | ## or remove it altogether (bug#6184), removing the need for this macro. | ||
| 26691 | YMF_PASS_LDFLAGS='`./prefix-args -Xlinker flags`' | ||
| 26692 | fi | ||
| 26693 | |||
| 26694 | |||
| 26695 | test "x$LINKER" = "x" && LINKER=ld | ||
| 26696 | ## FIXME? What setting of YMF_PASS_LDFLAGS should this have? | ||
| 26697 | test "$NS_IMPL_GNUSTEP" = "yes" && LINKER="\$(CC) -rdynamic" | ||
| 26698 | |||
| 26699 | |||
| 26700 | |||
| 26701 | |||
| 26702 | ## FIXME? The logic here is not precisely the same as that above | ||
| 26703 | ## setting YMF_PASS_LDFLAGS. There is no check here for a pre-defined | ||
| 26704 | ## LINKER. Should we only be setting LIB_GCC if LD ~ -nostdlib? | ||
| 26619 | LIB_GCC= | 26705 | LIB_GCC= |
| 26620 | if test "x$GCC" = "xyes"; then | 26706 | if test "x$GCC" = "xyes" && test "x$ORDINARY_LINK" != "xyes"; then |
| 26621 | 26707 | ||
| 26622 | case "$opsys" in | 26708 | case "$opsys" in |
| 26623 | ## cygwin: don't link against static libgcc. | 26709 | ## cygwin: don't link against static libgcc. |
| @@ -27458,7 +27544,24 @@ $debug || | |||
| 27458 | # This happens for instance with `./config.status config.h'. | 27544 | # This happens for instance with `./config.status config.h'. |
| 27459 | if test -n "$CONFIG_FILES"; then | 27545 | if test -n "$CONFIG_FILES"; then |
| 27460 | 27546 | ||
| 27461 | 27547 | if $AWK 'BEGIN { getline <"/dev/null" }' </dev/null 2>/dev/null; then | |
| 27548 | ac_cs_awk_getline=: | ||
| 27549 | ac_cs_awk_pipe_init= | ||
| 27550 | ac_cs_awk_read_file=' | ||
| 27551 | while ((getline aline < (F[key])) > 0) | ||
| 27552 | print(aline) | ||
| 27553 | close(F[key])' | ||
| 27554 | ac_cs_awk_pipe_fini= | ||
| 27555 | else | ||
| 27556 | ac_cs_awk_getline=false | ||
| 27557 | ac_cs_awk_pipe_init="print \"cat <<'|#_!!_#|' &&\"" | ||
| 27558 | ac_cs_awk_read_file=' | ||
| 27559 | print "|#_!!_#|" | ||
| 27560 | print "cat " F[key] " &&" | ||
| 27561 | '$ac_cs_awk_pipe_init | ||
| 27562 | # The final `:' finishes the AND list. | ||
| 27563 | ac_cs_awk_pipe_fini='END { print "|#_!!_#|"; print ":" }' | ||
| 27564 | fi | ||
| 27462 | ac_cr=' ' | 27565 | ac_cr=' ' |
| 27463 | ac_cs_awk_cr=`$AWK 'BEGIN { print "a\rb" }' </dev/null 2>/dev/null` | 27566 | ac_cs_awk_cr=`$AWK 'BEGIN { print "a\rb" }' </dev/null 2>/dev/null` |
| 27464 | if test "$ac_cs_awk_cr" = "a${ac_cr}b"; then | 27567 | if test "$ac_cs_awk_cr" = "a${ac_cr}b"; then |
| @@ -27470,6 +27573,19 @@ fi | |||
| 27470 | echo 'BEGIN {' >"$tmp/subs1.awk" && | 27573 | echo 'BEGIN {' >"$tmp/subs1.awk" && |
| 27471 | _ACEOF | 27574 | _ACEOF |
| 27472 | 27575 | ||
| 27576 | # Create commands to substitute file output variables. | ||
| 27577 | { | ||
| 27578 | echo "cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1" && | ||
| 27579 | echo 'cat >>"\$tmp/subs1.awk" <<\\_ACAWK &&' && | ||
| 27580 | echo "$ac_subst_files" | sed 's/.*/F["&"]="$&"/' && | ||
| 27581 | echo "_ACAWK" && | ||
| 27582 | echo "_ACEOF" | ||
| 27583 | } >conf$$files.sh && | ||
| 27584 | . ./conf$$files.sh || | ||
| 27585 | { { $as_echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 | ||
| 27586 | $as_echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} | ||
| 27587 | { (exit 1); exit 1; }; } | ||
| 27588 | rm -f conf$$files.sh | ||
| 27473 | 27589 | ||
| 27474 | { | 27590 | { |
| 27475 | echo "cat >conf$$subs.awk <<_ACEOF" && | 27591 | echo "cat >conf$$subs.awk <<_ACEOF" && |
| @@ -27551,7 +27667,7 @@ _ACAWK | |||
| 27551 | cat >>"\$tmp/subs1.awk" <<_ACAWK && | 27667 | cat >>"\$tmp/subs1.awk" <<_ACAWK && |
| 27552 | for (key in S) S_is_set[key] = 1 | 27668 | for (key in S) S_is_set[key] = 1 |
| 27553 | FS = "" | 27669 | FS = "" |
| 27554 | 27670 | \$ac_cs_awk_pipe_init | |
| 27555 | } | 27671 | } |
| 27556 | { | 27672 | { |
| 27557 | line = $ 0 | 27673 | line = $ 0 |
| @@ -27569,10 +27685,16 @@ cat >>"\$tmp/subs1.awk" <<_ACAWK && | |||
| 27569 | } else | 27685 | } else |
| 27570 | len += 1 + keylen | 27686 | len += 1 + keylen |
| 27571 | } | 27687 | } |
| 27572 | 27688 | if (nfields == 3 && !substed) { | |
| 27689 | key = field[2] | ||
| 27690 | if (F[key] != "" && line ~ /^[ ]*@.*@[ ]*$/) { | ||
| 27691 | \$ac_cs_awk_read_file | ||
| 27692 | next | ||
| 27693 | } | ||
| 27694 | } | ||
| 27573 | print line | 27695 | print line |
| 27574 | } | 27696 | } |
| 27575 | 27697 | \$ac_cs_awk_pipe_fini | |
| 27576 | _ACAWK | 27698 | _ACAWK |
| 27577 | _ACEOF | 27699 | _ACEOF |
| 27578 | cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1 | 27700 | cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1 |
| @@ -27959,7 +28081,12 @@ s&@abs_top_builddir@&$ac_abs_top_builddir&;t t | |||
| 27959 | s&@INSTALL@&$ac_INSTALL&;t t | 28081 | s&@INSTALL@&$ac_INSTALL&;t t |
| 27960 | $ac_datarootdir_hack | 28082 | $ac_datarootdir_hack |
| 27961 | " | 28083 | " |
| 27962 | eval sed \"\$ac_sed_extra\" "$ac_file_inputs" | $AWK -f "$tmp/subs.awk" >$tmp/out \ | 28084 | eval sed \"\$ac_sed_extra\" "$ac_file_inputs" | |
| 28085 | if $ac_cs_awk_getline; then | ||
| 28086 | $AWK -f "$tmp/subs.awk" | ||
| 28087 | else | ||
| 28088 | $AWK -f "$tmp/subs.awk" | $SHELL | ||
| 28089 | fi >$tmp/out \ | ||
| 27963 | || { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5 | 28090 | || { { $as_echo "$as_me:$LINENO: error: could not create $ac_file" >&5 |
| 27964 | $as_echo "$as_me: error: could not create $ac_file" >&2;} | 28091 | $as_echo "$as_me: error: could not create $ac_file" >&2;} |
| 27965 | { (exit 1); exit 1; }; } | 28092 | { (exit 1); exit 1; }; } |